require 'rails'
require 'secure_scope/controller_initializer'

module SecureScope
  class Railtie < Rails::Railtie
    initializer "secure_scope.initializer_for_controllers" do
      ActiveSupport.on_load(:action_controller) do
        include SecureScope::ControllerInitializer
      end
    end
  end
end
